@import "~scss/variables";

.swag-guided-shopping-appointment-form {
    .sw-card {
        .sw-card__title {
            font-weight: 600;
            color: $color-darkgray-700;
        }
    }
    .swag-guided-shopping-appointment-form__type-container {
        position: relative;
    }

    .swag-guided-shopping-appointment-form__active {
        display: grid;
        align-items: center;
    }

    .swag-guided-shopping-appointment-detail-base__video-configuration-link {
        padding: 15px 0;
        text-decoration: underline;
    }

    .swag-guided-shopping-appointment-detail-base__video-audio-settings, .swag-guided-shopping-appointment-detail-base__presentation {
        margin-bottom: 32px !important;
    }

    .sw-switch-field-no-spacing {
        margin-top: -15px;
        margin-bottom: 17px;
        width: 100%;
    }

    .swag-guided-shopping-appointment-detail-base__auto-link,
    .swag-guided-shopping-appointment-detail-base__path {
        margin-bottom: 20px;
    }

    .sw-data-grid__cell-content {
        .sw-field-copyable {
            margin: 10px 0 0 10px;

            & > svg {
                height: 16px;
                width: 16px;
            }
        }
    }

    .swag-guided-shopping-appointment-detail-base__guide-url,
    .swag-guided-shopping-appointment-detail-base__public-url {
        margin-top: 2px;
    }

    .swag-guided-shopping-appointment-detail-base__guide-url-row,
    .swag-guided-shopping-appointment-detail-base__public-url-row {
        margin-bottom: 8px;
    }

    .sw-text-editor {
        margin-bottom: 0;
    }
    .swag-guided-shopping-appointment-detail__mail-preview-template {
        pointer-events: none;
        user-select: none;
        margin-bottom: 32px;
    }

    .sw-select-selection-list__load-more {
        margin: 8px 6px 0 0;
    }
}

.swag-guided-shopping-appointment-detail-base__receivers {
    .sw-select-result__result-item-text {
        display: flex;
        padding-left: 5px;
        flex-direction: row;

        .sw-select-result__result-item-text {
            color: #B3BFCC;
            padding-left: 0;
        }
    }

    .sw-select-selection-list__load-more {
        margin-top: 8px;
    }
}
